count.cpp File Reference
`#include "test/int.hh"`

Go to the source code of this file.

## Classes

class | Test::Int::Count::IntInt
| Test number of equal integers equal to integer More...
class | Test::Int::Count::SetInt
| Test number of integers contained in an integer set equal to integer More...
class | Test::Int::Count::IntIntDup
| Test number of equal integers equal to integer with duplicate variables More...
class | Test::Int::Count::IntVar
| Test number of equal integers equal to integer variable More...
class | Test::Int::Count::SetVar
| Test number of integers contained in an integer set equal to integer variable More...
class | Test::Int::Count::IntArrayInt
| Test number of several equal integers equal to integer More...
class | Test::Int::Count::IntArrayVar
| Test number of several equal integers equal to integer variable More...
class | Test::Int::Count::IntVarShared
| Test number of equal integers equal to integer variable with sharing More...
class | Test::Int::Count::VarVar
| Test number of equal variables equal to integer variable More...
class | Test::Int::Count::VarInt
| Test number of equal variables equal to integer More...
class | Test::Int::Count::VarVarSharedA
| Test number of equal variables equal to integer variable with sharing More...
class | Test::Int::Count::VarVarSharedB
| Test number of equal variables equal to integer variable with sharing More...
class | Test::Int::Count::VarVarSharedC
| Test number of equal variables equal to integer variable with sharing More...
class | Test::Int::Count::Create
| Help class to create and register tests. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Int
| Testing finite domain integers.
namespace | Test::Int::Count
| Tests for count constraints

## Variables

Gecode::IntArgs | Test::Int::Count::ints ({1, 0, 3, 2})
Create | Test::Int::Count::c